Futures Cross
Deposit
POST
/futures/cross/depositPrivateDeposit funds to the cross margin account
Permissions: futures:cross:write
application/json- body
amount*integerAmount to deposit (in sats)
Range
0 < valueThe updated cross position
application/json- response
id*stringPosition ID
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidupdatedAt*stringTimestamp marking the last update of the position
Format
date-timemargin*integerCross margin balance
quantity*numberQuantity of the position
leverage*integerLeverage of the position
Range
0 < valueentryPrice*|Entry price
runningMargin*integerRunning margin
initialMargin*integerInitial margin
maintenanceMargin*integerMaintenance margin
liquidation*|Liquidation price
tradingFees*integerTrading fees
fundingFees*integerFunding fees
totalPl*integerTotal profit/loss
deltaPl*integerDelta profit/loss
import { createHttpClient } from '@ln-markets/sdk/rest/v3'const client = createHttpClient({ key: 'your-key', secret: 'your-secret', passphrase: 'your-passphrase',})const result = await client.futures.cross.deposit({ amount: 100000}){ "id": "c0b9f9a0-4f6e-4a5a-8b7a-7f0f5f9a8a1e", "updatedAt": "2023-05-23T09:52:57.863Z", "margin": 100, "quantity": 100, "leverage": 10, "entryPrice": 100, "runningMargin": 100, "initialMargin": 100, "maintenanceMargin": 100, "liquidation": 100, "tradingFees": 100, "fundingFees": 100, "totalPl": 100, "deltaPl": 100}Get transfers GET
Get the transfers history for the cross margin position (deposits to and withdrawals from the cross margin account). Positive amounts are deposits…
Set leverage PUT
Set the leverage of the cross margin position. If the available margin is not enough to cover the new position, some of the PL will be realized to cover…